# - Build details for DOLFIN: Dynamic Object-oriented Library for
# - FINite element computation
#
# This file has been automatically generated.

# FIXME: Check that naming conforms to CMake standards

# Compute path
get_filename_component(DOLFIN_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)

# Library dependencies (contains definitions for IMPORTED targets)
# NOTE: DOLFIN demo CMakeLists.txt are written to be stand-alone, as
# well as the build system building the demo. Therefore, we need the
# below guard to avoid exporting the targets twice.
if (NOT TARGET dolfin)
  include("${DOLFIN_CMAKE_DIR}/DOLFINTargets.cmake")
endif()

# Compilers
set(DOLFIN_CXX_COMPILER "/usr/bin/c++")

# Compiler defintions
set(DOLFIN_CXX_DEFINITIONS "-DDOLFIN_VERSION=\"2016.2.0\";-DNDEBUG;-DDOLFIN_SIZE_T=8;-DDOLFIN_LA_INDEX_SIZE=4;-DHAS_HDF5;-D_FORTIFY_SOURCE=2;-DHAS_PETSC;-DHAS_UMFPACK;-DHAS_CHOLMOD;-DHAS_ZLIB;-DHAS_MPI;-DHAS_OPENMP;-DHAS_VTK")

# Compiler flags
set(DOLFIN_CXX_FLAGS "-fpermissive    -fopenmp")

# Linker flags
set(DOLFIN_LINK_FLAGS "-Wl,-z,relro  ")

# Include directories
set(DOLFIN_INCLUDE_DIRS "/usr/include")

# Third party include directories
set(DOLFIN_3RD_PARTY_INCLUDE_DIRS "/usr/lib/python2.7/dist-packages/ffc/backends/ufc;/usr/include/suitesparse;/usr/include/suitesparse;/usr/include;/usr/lib/mips64el-linux-gnuabi64/openmpi/include/openmpi;/usr/lib/mips64el-linux-gnuabi64/openmpi/include/openmpi/opal/mca/event/libevent2022/libevent;/usr/lib/mips64el-linux-gnuabi64/openmpi/include/openmpi/opal/mca/event/libevent2022/libevent/include;/usr/lib/mips64el-linux-gnuabi64/openmpi/include;/usr/include/eigen3;/usr/include;/usr/include/hdf5/openmpi;/usr/lib/petscdir/3.7.5/mips64el-linux-gnuabi64-real/include;/usr/include/hypre;/usr/include/suitesparse;/usr/include/superlu;/usr/include/scotch;/usr/lib/mips64el-linux-gnuabi64/hdf5/openmpi/include;/usr/lib/mips64el-linux-gnuabi64/openmpi/include;/usr/lib/mips64el-linux-gnuabi64/openmpi/include/openmpi;/usr/lib/mips64el-linux-gnuabi64/openmpi/include/openmpi/opal/mca/event/libevent2022/libevent;/usr/lib/mips64el-linux-gnuabi64/openmpi/include/openmpi/opal/mca/event/libevent2022/libevent/include;/usr/lib/mips64el-linux-gnuabi64/openmpi/include;/usr/include/vtk-6.3;/usr/include;/usr/include/mips64el-linux-gnuabi64;/usr/include/freetype2")

# Python include directories
set(DOLFIN_PYTHON_INCLUDE_DIRS "/usr/lib/python2.7/dist-packages/numpy/core/include;/usr/include/python2.7;/usr/lib/python2.7/dist-packages/petsc4py/include")

# Python definitions
set(DOLFIN_PYTHON_DEFINITIONS "-DHAS_PETSC4PY;-DNUMPY_VERSION_MAJOR=1;-DNUMPY_VERSION_MINOR=12;-DNUMPY_VERSION_MICRO=0;-DNPY_NO_DEPRECATED_API=NPY_1_12_API_VERSION")

# Python libraries
set(DOLFIN_PYTHON_LIBRARIES "/usr/lib/mips64el-linux-gnuabi64/libpython2.7.so")

# Python executable
set(DOLFIN_PYTHON_EXECUTABLE "/usr/bin/python2.7")

# SWIG executable
set(DOLFIN_SWIG_EXECUTABLE "/usr/bin/swig")

# DOLFIN library
set(DOLFIN_LIBRARIES dolfin)

# Version
set(DOLFIN_VERSION_MAJOR "2016")
set(DOLFIN_VERSION_MINOR "2")
set(DOLFIN_VERSION_MICRO "0")
set(DOLFIN_VERSION_STR   "2016.2.0")

# The location of the UseDOLFIN.cmake file
set(DOLFIN_USE_FILE "${DOLFIN_CMAKE_DIR}/UseDOLFIN.cmake")
